/**
 * ActClassOrganizer.java
 *
 * File generated from the medication::ActClassOrganizer uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassOrganizer.
 *
 * 
 */

@XmlType(name = "ActClassOrganizer")
@XmlEnum
@XmlRootElement(name = "ActClassOrganizer")
public enum ActClassOrganizer {
	@XmlEnumValue("ORGANIZER")
	ORGANIZER("ORGANIZER"),
	@XmlEnumValue("CATEGORY")
	CATEGORY("CATEGORY"),
	@XmlEnumValue("DOCBODY")
	DOCBODY("DOCBODY"),
	@XmlEnumValue("DOCSECT")
	DOCSECT("DOCSECT"),
	@XmlEnumValue("TOPIC")
	TOPIC("TOPIC");
	
	private final String value;

    ActClassOrganizer(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActClassOrganizer fromValue(String v) {
        for (ActClassOrganizer c: ActClassOrganizer.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}